> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Call



## OpenAPI

````yaml post /comms/livekit/setup-call
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/livekit/setup-call:
    post:
      tags:
        - provider
        - comms
        - livekit
      summary: Setup Call
      operationId: setup_call_comms_livekit_setup_call_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LivekitSetupCallParams'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LivekitSetupCallResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LivekitSetupCallParams:
      properties:
        externalNumber:
          type: string
          title: Externalnumber
        trunkNumber:
          type: string
          title: Trunknumber
        roomName:
          type: string
          title: Roomname
      type: object
      required:
        - externalNumber
        - trunkNumber
        - roomName
      title: LivekitSetupCallParams
    LivekitSetupCallResponse:
      properties:
        prompt:
          type: string
          title: Prompt
        initialMessage:
          type: string
          title: Initialmessage
        tools:
          items:
            $ref: '#/components/schemas/Tool'
          type: array
          title: Tools
        headers:
          additionalProperties:
            type: string
          type: object
          title: Headers
        webhookUrl:
          type: string
          title: Webhookurl
        basePath:
          type: string
          title: Basepath
        modelType:
          anyOf:
            - $ref: '#/components/schemas/LlmModelType'
            - type: 'null'
        supportedLanguage:
          anyOf:
            - $ref: '#/components/schemas/AiLanguageSupport'
            - type: 'null'
        silenceTrackerMode:
          anyOf:
            - $ref: '#/components/schemas/SilenceTrackerMode'
            - type: 'null'
      type: object
      required:
        - prompt
        - initialMessage
        - tools
        - headers
        - webhookUrl
        - basePath
      title: LivekitSetupCallResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Tool:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Endpoint
        type:
          $ref: '#/components/schemas/ToolType'
          default: CUSTOM
        parameters:
          items:
            $ref: '#/components/schemas/ToolParameter'
          type: array
          title: Parameters
      type: object
      required:
        - name
        - description
        - parameters
      title: Tool
    LlmModelType:
      type: string
      enum:
        - gemini-2.5-flash
        - claude-3-7-sonnet
        - claude-3-5-haiku
        - gpt-5.2
        - gpt-5-mini
        - gpt-5-nano
        - gpt-realtime
        - gpt-realtime-mini
        - gemini-2.5-flash
        - gemini-2.5-flash-preview-05-20
        - gemini-2.5-flash-lite
        - gemini-live
      title: LlmModelType
    AiLanguageSupport:
      type: string
      enum:
        - multi
        - en-US
        - ar-SA
      title: AiLanguageSupport
    SilenceTrackerMode:
      type: string
      enum:
        - ENABLED
        - ON_CALL_END
        - DISABLED
      title: SilenceTrackerMode
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ToolType:
      type: string
      enum:
        - CUSTOM
        - PREDEFINED
      title: ToolType
    ToolParameter:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        required:
          type: boolean
          title: Required
          default: true
      type: object
      required:
        - name
        - description
      title: ToolParameter

````